
set( lariatsoft_VERSION 06.81.00 )
set( lariatsoft_UPS_VERSION v06_81_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( larsoft  )
    find_ups_product( lareventdisplay v4_00_00 )
    find_ups_product( larcoreobj  )
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib_except  )
    find_ups_product( cetlib v2_01_00 )
    find_ups_boost( v1_50_0 )
    find_ups_product( sqlite  )
    find_ups_product( fhiclcpp  )
    find_ups_product( python  )
    find_ups_product( messagefacility  )
    find_ups_product( hep_concurrency  )
    find_ups_product( tbb  )
    find_ups_product( range  )
    find_ups_root(  )
    find_ups_product( larcore v1_00_00 )
    find_ups_product( larcorealg  )
    find_ups_product( art  )
    find_ups_product( canvas_root_io  )
    find_ups_product( lardataobj  )
    find_ups_product( nusimdata  )
    find_ups_product( dk2nudata v01_05_01 )
    find_ups_product( lardata v1_00_00 )
    find_ups_product( lardataalg  )
    find_ups_product( nutools  )
    find_ups_product( genie  )
    find_ups_product( dk2nugenie  )
    find_ups_product( libwda  )
    find_ups_product( postgresql  )
    find_ups_product( geant4  )
    find_ups_product( xerces_c v3_0_0 )
    find_ups_product( larevt v1_00_00 )
    find_ups_product( larsim v1_00_00 )
    find_ups_product( marley  )
    find_ups_product( ifdhc  )
    find_ups_product( larreco v1_00_00 )
    find_ups_product( eigen  )
    find_ups_product( protobuf  )
    find_ups_product( tensorflow  )
    find_ups_product( larexamples v4_00_00 )
    find_ups_product( larana v4_00_00 )
    find_ups_product( larpandora v4_00_00 )
    find_ups_product( pandora v02_00_00 )
    find_ups_product( larpandoracontent v02_04_00 )
    find_ups_product( artdaq_core  )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( TRACE v3_03_00 )
    find_ups_product( LariatFilters  )
    find_ups_product( lariatfragments  )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHON )
      cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
    endif()
    if( NOT LHAPDF )
      cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LOG4CPP )
      cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XML2 )
      cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/build-nulite-matrix/BUILDTYPE/debug/QUAL/s68-e15/label1/swarm/label2/SLF7/build/libxml2/v2_9_5/Linux64bit+3.10-2.17-debug/lib NO_DEFAULT_PATH )
    endif()
    if( NOT CRY )
      cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GALGORITHM )
      cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBARYONRESONANCE )
      cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBASE )
      cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBODEKYANG )
      cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCHARM )
      cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCOH )
      cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDFRC )
      cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDIS )
      cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCROSSSECTIONS )
      cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDECAY )
      cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELAS )
      cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELFF )
      cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHEP )
      cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGCORE )
      cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGMODULES )
      cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGDRIVERS )
      cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGIBUU )
      cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHADRONTRANSP )
      cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFRAGMENTATION )
      cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GINTERACTION )
      cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GLLEWELLYNSMITH )
      cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMEC )
      cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMESSENGER )
      cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUGAMMA )
      cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUE )
      cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNTUPLE )
      cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEAR )
      cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUMERICAL )
      cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQPM )
      cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDG )
      cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDF )
      cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQEL )
      cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GRES )
      cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREGISTRY )
      cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEHGAL )
      cet_find_library( GREINSEHGAL NAMES GReinSehgal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GUTILS )
      cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGEO )
      cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFLUXDRIVERS )
      cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMUELOSS )
      cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREWEIGHT )
      cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEONDECAY )
      cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DK2NU_TREE )
      cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DK2NU_GENIE )
      cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH )
      cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH_SERVICE )
      cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PQ )
      cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_SERIALIZATION )
      cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_DATE_TIME )
      cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEGHAL )
      cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MARLEY )
      cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MARLEY_ROOT )
      cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TENSORFLOW )
      cet_find_library( TENSORFLOW NAMES tensorflow-core PATHS ENV TENSORFLOW_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PROTOBUF )
      cet_find_library( PROTOBUF NAMES protobuf PATHS ENV PROTOBUF_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PANDORASDK )
      cet_find_library( PANDORASDK NAMES PandoraSDK PATHS ENV PANDORA_LIB )
    endif()
    if( NOT PANDORAMONITORING )
      cet_find_library( PANDORAMONITORING NAMES PandoraMonitoring PATHS ENV PANDORA_LIB )
    endif()
      set( CALIBRATION_CALWIRET1034_MODULE $ENV{LARIATSOFT_LIB}/libCalibration_CalWireT1034_module.so )
      set( CALIBRATION_CALWIREROIT1034_MODULE $ENV{LARIATSOFT_LIB}/libCalibration_CalWireROIT1034_module.so )
      set( DETECTORSIM_SIMWIRET1034_MODULE $ENV{LARIATSOFT_LIB}/libDetectorSim_SimWireT1034_module.so )
      set( DETECTORSIM_TOFSIMDIGITS_MODULE $ENV{LARIATSOFT_LIB}/libDetectorSim_TOFSimDigits_module.so )
      set( DETECTORSIM_WCSIMDIGITS_MODULE $ENV{LARIATSOFT_LIB}/libDetectorSim_WCSimDigits_module.so )
      set( GEO $ENV{LARIATSOFT_LIB}/libGeo.so )
      set( GEO_LARIATGEOMETRYHELPER_SERVICE $ENV{LARIATSOFT_LIB}/libGeo_LArIATGeometryHelper_service.so )
      set( GEO_LARIATAUXDETGEOMETRYHELPER_SERVICE $ENV{LARIATSOFT_LIB}/libGeo_LArIATAuxDetGeometryHelper_service.so )
      set( LARIATANAMODULE $ENV{LARIATSOFT_LIB}/libLArIATAnaModule.so )
      set( LARIATANAMODULE_ANATREET1034_MODULE $ENV{LARIATSOFT_LIB}/libLArIATAnaModule_AnaTreeT1034_module.so )
      set( LARIATANAMODULE_DATABASEEXAMPLE_MODULE $ENV{LARIATSOFT_LIB}/libLArIATAnaModule_DatabaseExample_module.so )
      set( LARIATANAMODULE_LIFETIME_MODULE $ENV{LARIATSOFT_LIB}/libLArIATAnaModule_Lifetime_module.so )
      set( LARIATANAMODULE_MCANALYSIS_MODULE $ENV{LARIATSOFT_LIB}/libLArIATAnaModule_MCAnalysis_module.so )
      set( LARIATANAMODULE_OPDETEXAMPLE_MODULE $ENV{LARIATSOFT_LIB}/libLArIATAnaModule_OpDetExample_module.so )
      set( LARIATANAMODULE_PURITYONLINET1034_MODULE $ENV{LARIATSOFT_LIB}/libLArIATAnaModule_PurityOnlineT1034_module.so )
      set( LARIATANAMODULE_THREEPOINTWCCALIBRATION_MODULE $ENV{LARIATSOFT_LIB}/libLArIATAnaModule_ThreePointWCCalibration_module.so )
      set( LARIATANAMODULE_TRIGGERFILTEREXAMPLE_MODULE $ENV{LARIATSOFT_LIB}/libLArIATAnaModule_TriggerFilterExample_module.so )
      set( LARIATANAMODULE_WCEFFICIENCIES_MODULE $ENV{LARIATSOFT_LIB}/libLArIATAnaModule_WCEfficiencies_module.so )
      set( LARIATANAMODULE_XSANALYSIS_MODULE $ENV{LARIATSOFT_LIB}/libLArIATAnaModule_XSAnalysis_module.so )
      set( LARIATDATAPRODUCTS $ENV{LARIATSOFT_LIB}/libLArIATDataProducts.so )
      set( LARIATDATAPRODUCTS_DICT $ENV{LARIATSOFT_LIB}/libLArIATDataProducts_dict.so )
      set( LARIATDATAPROVIDERS $ENV{LARIATSOFT_LIB}/libLArIATDataProviders.so )
      set( LARIATEVENTGENERATOR_LARIATFILEGEN_MODULE $ENV{LARIATSOFT_LIB}/libLArIATEventGenerator_LArIATFileGen_module.so )
      set( LARIATFILTERMODULE_BASICPIMUFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_BasicPiMuFilter_module.so )
      set( LARIATFILTERMODULE_BEAMLINETRIGGER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_BeamlineTrigger_module.so )
      set( LARIATFILTERMODULE_CALWIRETPCQUALITY_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_CalWireTPCQuality_module.so )
      set( LARIATFILTERMODULE_DOUBLEFLASHFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_DoubleFlashFilter_module.so )
      set( LARIATFILTERMODULE_KAONFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_KaonFilter_module.so )
      set( LARIATFILTERMODULE_MASSSELECTIONFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_MassSelectionFilter_module.so )
      set( LARIATFILTERMODULE_NNSHOWERFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_NNShowerFilter_module.so )
      set( LARIATFILTERMODULE_PARTICLEFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_ParticleFilter_module.so )
      set( LARIATFILTERMODULE_PIMUFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_PiMuFilter_module.so )
      set( LARIATFILTERMODULE_PIONSCXSIMFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_PionSCXSimFilter_module.so )
      set( LARIATFILTERMODULE_SHOWERFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_ShowerFilter_module.so )
      set( LARIATFILTERMODULE_STOPPINGTRACKSFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_StoppingTracksFilter_module.so )
      set( LARIATFILTERMODULE_TOFFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_TOFFilter_module.so )
      set( LARIATFILTERMODULE_TOFQUALITY_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_TOFQuality_module.so )
      set( LARIATFILTERMODULE_TIMESTAMPFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_TimestampFilter_module.so )
      set( LARIATFILTERMODULE_TRIGGERPATTERNFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_TriggerPatternFilter_module.so )
      set( LARIATFILTERMODULE_UPSTREAMTPCMULTIPLICITYFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_UpStreamTPCMultiplicityFilter_module.so )
      set( LARIATFILTERMODULE_UPSTREAMTPCTRACKFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_UpStreamTPCTrackFilter_module.so )
      set( LARIATFILTERMODULE_WCQUALITYFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_WCQualityFilter_module.so )
      set( LARIATFILTERMODULE_WCTRACKFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_WCTrackFilter_module.so )
      set( LARIATFILTERMODULE_WCTRKMATCHTOTPCTRKFILTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATFilterModule_WCTrkMatchToTPCtrkFilter_module.so )
      set( LARIATRECOALG $ENV{LARIATSOFT_LIB}/libLArIATRecoAlg.so )
      set( LARIATRECOMODULE_AEROGELCHERENKOVCOUNTERSLICING_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_AerogelCherenkovCounterSlicing_module.so )
      set( LARIATRECOMODULE_CLUSTERCRAWLERT1034_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_ClusterCrawlerT1034_module.so )
      set( LARIATRECOMODULE_COSMICTRACKERT1034_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_CosmicTrackerT1034_module.so )
      set( LARIATRECOMODULE_DBCLUSTERT1034_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_DBClusterT1034_module.so )
      set( LARIATRECOMODULE_EDGE_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_Edge_module.so )
      set( LARIATRECOMODULE_GAUSSHITFINDERT1034_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_GaussHitFinderT1034_module.so )
      set( LARIATRECOMODULE_HOUGHLINEFINDERT1034_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_HoughLineFinderT1034_module.so )
      set( LARIATRECOMODULE_MICHELWFMRECO_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_MichelWfmReco_module.so )
      set( LARIATRECOMODULE_MUONRANGESTACKHITSSLICING_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_MuonRangeStackHitsSlicing_module.so )
      set( LARIATRECOMODULE_MUONRANGESTACKHITS_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_MuonRangeStackHits_module.so )
      set( LARIATRECOMODULE_MYNEWMOD_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_MyNewMod_module.so )
      set( LARIATRECOMODULE_OPDETSER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_OpDetSER_module.so )
      set( LARIATRECOMODULE_PARTICLEIDENTIFICATIONSLICING_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_ParticleIdentificationSlicing_module.so )
      set( LARIATRECOMODULE_PARTICLEIDENTIFICATION_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_ParticleIdentification_module.so )
      set( LARIATRECOMODULE_SPACEPOINTST1034_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_SpacePointsT1034_module.so )
      set( LARIATRECOMODULE_STOPPINGTRACKS_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_StoppingTracks_module.so )
      set( LARIATRECOMODULE_TIMEOFFLIGHTSLICING_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_TimeOfFlightSlicing_module.so )
      set( LARIATRECOMODULE_TIMEOFFLIGHT_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_TimeOfFlight_module.so )
      set( LARIATRECOMODULE_WC2TPCTRACKMATCH_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_WC2TPCTrackMatch_module.so )
      set( LARIATRECOMODULE_WCTRACKBUILDERGEANTE_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_WCTrackBuilderGeante_module.so )
      set( LARIATRECOMODULE_WCTRACKBUILDERNEW_MODULE $ENV{LARIATSOFT_LIB}/libLArIATRecoModule_WCTrackBuildernew_module.so )
      set( LARIATCHECKS_CLOCKCORRECTIONCHECK_MODULE $ENV{LARIATSOFT_LIB}/libLArIATChecks_ClockCorrectionCheck_module.so )
      set( LARIATCHECKS_DATAQUALITY_MODULE $ENV{LARIATSOFT_LIB}/libLArIATChecks_DataQuality_module.so )
      set( LARIATCHECKS_EVENTBUILDERCHECK_MODULE $ENV{LARIATSOFT_LIB}/libLArIATChecks_EventBuilderCheck_module.so )
      set( LARIATCHECKS_MURSCHECKER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATChecks_MuRSChecker_module.so )
      set( LARIATCHECKS_WCTRACKANALYZERSLICING_MODULE $ENV{LARIATSOFT_LIB}/libLArIATChecks_WCTrackAnalyzerSlicing_module.so )
      set( LARIATCHECKS_WCTRACKANALYZER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATChecks_WCTrackAnalyzer_module.so )
      set( LARIATCHECKS_NNTRACKSHOWEREFF_MODULE $ENV{LARIATSOFT_LIB}/libLArIATChecks_NNTrackShowerEff_module.so )
      set( LARIATCHECKS_NNMCTRACKSHOWEREFF_MODULE $ENV{LARIATSOFT_LIB}/libLArIATChecks_NNMCTrackShowerEff_module.so )
      set( LARIATCHECKS_NNPLOTTER_MODULE $ENV{LARIATSOFT_LIB}/libLArIATChecks_NNPlotter_module.so )
      set( LONGBO_ANATREE_MODULE $ENV{LARIATSOFT_LIB}/libLongBo_AnaTree_module.so )
      set( RAWDATAUTILITIES $ENV{LARIATSOFT_LIB}/libRawDataUtilities.so )
      set( RAWDATAUTILITIES_DONOTHINGINPUT_SOURCE $ENV{LARIATSOFT_LIB}/libRawDataUtilities_DoNothingInput_source.so )
      set( RAWDATAUTILITIES_EVENTBUILDERINPUT_SOURCE $ENV{LARIATSOFT_LIB}/libRawDataUtilities_EventBuilderInput_source.so )
      set( RAWDATAUTILITIES_EXTRACTBINARY_MODULE $ENV{LARIATSOFT_LIB}/libRawDataUtilities_ExtractBinary_module.so )
      set( RAWDATAUTILITIES_WVFORMPMT_MODULE $ENV{LARIATSOFT_LIB}/libRawDataUtilities_WvformPMT_module.so )
      set( RAWDATAUTILITIES_DICT $ENV{LARIATSOFT_LIB}/libRawDataUtilities_dict.so )
      set( UTILITIES_FILECATALOGMETADATALARIAT_SERVICE $ENV{LARIATSOFT_LIB}/libUtilities_FileCatalogMetadataLArIAT_service.so )
      set( UTILITIES_SIGNALSHAPINGSERVICET1034_SERVICE $ENV{LARIATSOFT_LIB}/libUtilities_SignalShapingServiceT1034_service.so )
      set( UTILITIES_DATABASEUTILITYT1034_SERVICE $ENV{LARIATSOFT_LIB}/libUtilities_DatabaseUtilityT1034_service.so )
      set( UTILITIES_DETECTORPROPERTIESSERVICELARIAT_SERVICE $ENV{LARIATSOFT_LIB}/libUtilities_DetectorPropertiesServiceLArIAT_service.so )
      include_directories ( $ENV{LARIATSOFT_INC} )

check_required_components(lariatsoft)

